groovy.swing.impl

## Class TableLayoutCell

- java.lang.Object
- - groovy.swing.impl.TableLayoutCell

    public class TableLayoutCell
    extends java.lang.Object

Represents a cell in a table layout.

Author:
  James Strachan

### Field Summary

Fields
`protected static java.util.logging.Logger` `LOG`

### Constructor Summary

Constructors
Constructor and Description
`TableLayoutCell(TableLayoutRow parent)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addComponent(java.awt.Component component)`
`protected java.awt.GridBagConstraints` `createConstraints()`
`protected int` `getAnchor()`
`int` `getColspan()`
`java.awt.Component` `getComponent()`
`java.awt.GridBagConstraints` `getConstraints()`
`int` `getRowspan()`
`boolean` `isColfill()` Returns the colfill.
`boolean` `isRowfill()` Returns the rowfill.
`void` `setAlign(java.lang.String align)` Sets the horizontal alignment to a case insensitive value of {LEFT, CENTER, RIGHT}
`void` `setColfill(boolean colfill)` Sets whether or not this column should allow its component to stretch to fill the space available
`void` `setColspan(int colspan)` Sets the number of columns that this cell should span.
`void` `setRowfill(boolean rowfill)` Sets whether or not this row should allow its component to stretch to fill the space available
`void` `setRowspan(int rowspan)` Sets the number of rows that this cell should span.
`void` `setValign(java.lang.String valign)` Sets the vertical alignment to a case insensitive value of {TOP, MIDDLE, BOTTOM}

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### LOG

    protected static final java.util.logging.Logger LOG

### Constructor Detail

#### TableLayoutCell

    public TableLayoutCell(TableLayoutRow parent)

### Method Detail

#### getColspan

    public int getColspan()

#### getRowspan

    public int getRowspan()

#### addComponent

    public void addComponent(java.awt.Component component)

#### getComponent

    public java.awt.Component getComponent()

#### setAlign

    public void setAlign(java.lang.String align)

Sets the horizontal alignment to a case insensitive value of {LEFT, CENTER, RIGHT}

Parameters:
  `align` - one of 'left', 'center', or 'right'

#### setValign

    public void setValign(java.lang.String valign)

Sets the vertical alignment to a case insensitive value of {TOP, MIDDLE, BOTTOM}

Parameters:
  `valign` - one of 'top', 'middle', 'bottom'

#### setColspan

    public void setColspan(int colspan)

Sets the number of columns that this cell should span. The default value is 1

Parameters:
  `colspan` - The default is 1

#### setRowspan

    public void setRowspan(int rowspan)

Sets the number of rows that this cell should span. The default value is 1

Parameters:
  `rowspan` - The default is 1

#### isColfill

    public boolean isColfill()

Returns the colfill.

Returns:
  boolean

#### isRowfill

    public boolean isRowfill()

Returns the rowfill.

Returns:
  boolean

#### setColfill

    public void setColfill(boolean colfill)

Sets whether or not this column should allow its component to stretch to fill the space available

Parameters:
  `colfill` - The default is false

#### setRowfill

    public void setRowfill(boolean rowfill)

Sets whether or not this row should allow its component to stretch to fill the space available

Parameters:
  `rowfill` - The default is false

#### getConstraints

    public java.awt.GridBagConstraints getConstraints()

Returns:
  the constraints of this cell

#### createConstraints

    protected java.awt.GridBagConstraints createConstraints()

#### getAnchor

    protected int getAnchor()

Returns:
  the GridBagConstraints enumeration for anchor